'use strict';

/**
 * Default development server configuration.
 */
const webpack = require('webpack');
const WebpackBaseConfig = require('./Base');
const path = require('path');

class WebpackDevConfig extends WebpackBaseConfig {

  constructor() {
    super();
    this.config = {
      devtool: 'cheap-module-source-map',
      plugins: [
        new webpack.DefinePlugin({
          'process.env.NODE_ENV': '"development"',
          '__DEBUG__': 'true'
        })
      ]
    };
  }

  /**
   * Get the environment name
   * @return {String} The current environment
   */
  get env() {
    return 'development';
  }
}

module.exports = WebpackDevConfig;
